Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Tue, 22 Jul 2025 14:33:38 +0200

Robert Pluim, le mar. 22 juil. 2025 14:30:52 +0200, a ecrit:
> >>>>> On Tue, 22 Jul 2025 14:10:11 +0200, Samuel Thibault <[email-masked]> said:
> 
>     Samuel> Eli Zaretskii, le mar. 22 juil. 2025 15:08:09 +0300, a ecrit:
>     >> > Date: Mon, 21 Jul 2025 18:25:05 +0200
>     >> > From: Samuel Thibault <[email-masked]>
>     >> > Cc: Eli Zaretskii <[email-masked]>,
>     >> > 	Seb Hinderer <[email-masked]>, [email-masked],
>     >> > 	[email-masked]
>     >> > 
>     >> > > > Samuel> It's actually even slower on my box.
>     >> > > 
>     >> > > You benchmarked moving by one character. Moving by tabs can move in
>     >> > > multiples of 8 characters, so I doubt itʼs that cut and dried.
>     >> > 
>     >> > The case which actually poses problem is only that \t\b vs \e[C. Using
>     >> > tab without moving back with \b does not pose problem.
>     >> 
>     >> If that's the only problematic case, then disabling TABs as in the
>     >> proposed patch is not TRT.
> 
>     Samuel> I don't think I asked for this, and only confirmed that it's one way to
>     Samuel> do it.
> 
> That was my misinterpretation of the request. Itʼs easy enough to
> restrict the change to only affect the '\t\b' case, but weʼll have to
> come up with a new name for the user option :-)

Since \t\b is actually slower than \e[C, I don't see why it should be an
option.

Samuel